Subject: Re: git under OSX leopard?

From: [email-masked] (Randal L. Schwartz)
Date: Wed, 26 Mar 2008 12:53:25 -0700

>>>>> "Randal" == Randal L Schwartz <[email-masked]> writes:

Randal> I'm trying to build git on leopard for the first time.  Getting this
Randal> error (after git clean -d -f and no unusual flags):

Randal>     LINK git-daemon
Randal> /usr/libexec/gcc/i686-apple-darwin8/4.0.1/ld: /usr/lib/gcc/i686-apple-darwin8/4.0.1/../../../libcurl.dylib load command 8 unknown cmd field
Randal> /usr/libexec/gcc/i686-apple-darwin8/4.0.1/ld: /usr/lib/gcc/i686-apple-darwin8/4.0.1/../../../libSystem.dylib unknown flags (type) of section 6 (__TEXT,__literal16) in load command 0
Randal> /usr/libexec/gcc/i686-apple-darwin8/4.0.1/ld: /usr/lib/libSystem.B.dylib unknown flags (type) of section 6 (__TEXT,__literal16) in load command 0
Randal> /usr/libexec/gcc/i686-apple-darwin8/4.0.1/ld: /usr/lib/libgcc_s.1.dylib load command 8 unknown cmd field
Randal> collect2: ld returned 1 exit status
Randal> make: *** [git-daemon] Error 1

Randal> Same thing builds fine on tiger.

Wow.  I upgraded XCode, thinking that was the problem, and now
I get even more nowhere:

GIT_VERSION = 1.5.5.rc1.12.g660b9
    * new build flags or prefix
    CC daemon.o
/usr/libexec/gcc/i686-apple-darwin8/4.0.1/as: assembler (/usr/bin/../libexec/gcc/darwin/i386/as or /usr/bin/../local/libexec/gcc/darwin/i386/as) for architecture i386 not installed
Installed assemblers are:
/usr/bin/../libexec/gcc/darwin/ppc64/as for architecture ppc64
/usr/bin/../libexec/gcc/darwin/x86_64/as for architecture x86_64
make: *** [daemon.o] Error 1

Help!

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!